[RESOLU] Erreur Missing dependencies

Questions about WAPT Packaging / Requêtes et aides autour des paquets Wapt.
Règles du forum
Règles du forum communautaire
* English support on www.reddit.com/r/wapt
* Le support communautaire en français se fait sur ce forum
* Merci de préfixer le titre du topic par [RESOLU] s'il est résolu.
* Merci de ne pas modifier un topic qui est taggé [RESOLU]. Ouvrez un nouveau topic en référençant l'ancien
* Préciser version de WAPT installée, version complète ET numéro de build (2.2.1.11957 / 2.2.2.12337 / etc.) AINSI QUE l'édition Enterprise / Discovery
* Les versions 1.8.2 et antérieures ne sont plus maintenues. Les seules questions acceptées vis à vis de la version 1.8.2 sont liés à la mise à jour vers une version supportée (2.1, 2.2, etc.)
* Préciser OS du serveur (Linux / Windows) et version (Debian Buster/Bullseye - CentOS 7 - Windows Server 2012/2016/2019)
* Préciser OS de la machine d'administration/création des paquets (Windows 7 / 10)
* Comme tout forum communautaire, le support est fait bénévolement par les membres. Si vous avez besoin d'un support commercial, vous pouvez contacter le service commercial Tranquil IT au 02.40.97.57.55
gauthier_leclercq
Messages : 8
Inscription : 21 sept. 2018 - 11:43

27 sept. 2022 - 09:44

Bonjour,

Lorsque j'ajoute le paquet adobereader provenant du dépot Tranquil'IT à mon groupe de paquets, j'obtiens l'erreur "Missing dependencies" (voir PJ).
Si j'ajoute le paquet au self-service, le paquet de self-service se met à jour mais impossible d'avoir le paquet adobereader disponible sur le poste utilisateur.

Sauriez-vous d'où ça peut venir svp ?

Merci.
Gauthier.

- Version de WAPT installée : 2.1.2
- OS du serveur : Debian Buster
- OS de la machine d'administration/création des paquets : Windows 10
Pièces jointes
wapterror.png
wapterror.png (8.2 Kio) Consulté 341 fois
Avatar de l’utilisateur
dcardon
Expert WAPT
Messages : 973
Inscription : 18 juin 2014 - 09:58
Localisation : Nantes
Contact :

27 sept. 2022 - 10:02

Si vous avez bien un paquet adv-adobereader dans votre dépôt, il faudrait vérifier par rapport aux capabilities de la machine (maturité, langue, architecture (32bit vs 64bit), etc.). Le pb assez habituel est d'avoir une machine windows 32bit, et d'avoir un paquet 64bit uniquement.

Cordialement,

Denis
Denis Cardon - Tranquil IT
Communiquez autour de vous sur WAPT! Envoyez nous vos url de blog et d'articles dans la catégorie votre avis du forum, nous les mettrons en avant sur le site WAPT
benoitpatin
Messages : 37
Inscription : 21 févr. 2018 - 17:05

28 sept. 2022 - 15:05

Salut Denis,

Pas de Windows en 32 bits chez nous.
Une autre piste ?

Merci
Avatar de l’utilisateur
dcardon
Expert WAPT
Messages : 973
Inscription : 18 juin 2014 - 09:58
Localisation : Nantes
Contact :

28 sept. 2022 - 15:54

le paquet qui a été téléchargé est bien le paquet 64bit pour Windows? Est ce que l'agent est à jour? Il est bien importé en PROD (ou la maturité qui va bien)?

On va mettre en place une méthode graphique pour savoir pourquoi un paquet match ou ne match pas sur une machine données. Mais pour l'instant il faut vérifier individuellement les différentes capabilities.

Denis
Denis Cardon - Tranquil IT
Communiquez autour de vous sur WAPT! Envoyez nous vos url de blog et d'articles dans la catégorie votre avis du forum, nous les mettrons en avant sur le site WAPT
gauthier_leclercq
Messages : 8
Inscription : 21 sept. 2018 - 11:43

29 sept. 2022 - 12:01

Bonjour,

Oui je confirme la machine est une machine x64.

le paquet qui a été téléchargé est bien le paquet 64bit pour Windows? Oui Arch en All (voir PJ)
Est ce que l'agent est à jour? Oui en version 2.1.2.10652
Il est bien importé en PROD (ou la maturité qui va bien)? Oui importé en PROD

Gauthier.
Pièces jointes
adobereader.png
adobereader.png (5.42 Kio) Consulté 297 fois
Avatar de l’utilisateur
dcardon
Expert WAPT
Messages : 973
Inscription : 18 juin 2014 - 09:58
Localisation : Nantes
Contact :

06 oct. 2022 - 10:40

est ce que vous avez réussi à résoudre le pb de matching des capacities?

Cordialement,

Denis
Denis Cardon - Tranquil IT
Communiquez autour de vous sur WAPT! Envoyez nous vos url de blog et d'articles dans la catégorie votre avis du forum, nous les mettrons en avant sur le site WAPT
smandel
Messages : 70
Inscription : 05 mai 2022 - 11:30

14 nov. 2022 - 16:29

Bonjour,

j'avais le même problème avec adobe sur plusieurs machines.
Après avoir définir "Arch. cible" sur "x64" sur les paquets et télécharger la version "x64" de Adobe plus aucun soucis 👍
Avatar de l’utilisateur
dcardon
Expert WAPT
Messages : 973
Inscription : 18 juin 2014 - 09:58
Localisation : Nantes
Contact :

15 nov. 2022 - 14:36

ok, merci pour le retour Stany! Je passe le sujet en résolu.
Denis
Denis Cardon - Tranquil IT
Communiquez autour de vous sur WAPT! Envoyez nous vos url de blog et d'articles dans la catégorie votre avis du forum, nous les mettrons en avant sur le site WAPT
Répondre